Errors when starting AMP for the first time (Novice)

  • 68 Views
  • Last Post 3 weeks ago
  • Topic Is Solved
marksmithb posted this 3 weeks ago

Hi, I have installed AMP Instance Manager v1.8.5.0 built 28/08/2019 20:09 and followed the instruction at: - https://cubecoders.com/AMPInstall (Other Linux and CentOS/Fedora (only for the firewall settings)). Everything seems to have installed but when i start "ampinstmgr quickstart USERNAME PASSWORD" (using AMP as user name and my created password) i get: -

  • [Error] Could not find system certificate store to sync with.
  • [Warning] AMP Service port ranges have not been specified, using any available...
  • [Warning] Application Service port ranges have not been specified, using any available...
  • [Error] Failed to unpack AMP
  • [Error] [0] (WebException) : Error: TrustFailure (Authentication failed, see inner exception.)
  • [Error] at Net.WebOperation.Run () at Net.WebCompletionSource`1[T].WaitForCompletion () at Net.HttpWebRequest.EndGetResponse (IAsyncResult asyncResult) at Net.WebClient.GetWebResponse (Net.WebRequest request, IAsyncResult result) at Net.WebClient.GetWebResponseTaskAsync (Net.WebRequest request) at Net.WebClient.DownloadBitsAsync (Net.WebRequest request, IO.Stream writeStream, ComponentModel.AsyncOperation asyncOp, Action 3[T1,T2,T3] completionDelegate) at InstanceManagerPlugin.LocalInstanceManager.DownloadAndUnpack (InstanceManagerPlugin.LocalAMPInstance Spec, Boolean ModuleOnly, Boolean SkipCache)
  • [Error] [1] (AuthenticationException) : Authentication failed, see inner exception.
  • [Error] [2] (MonoBtlsException) : Ssl error:1000007d:SSL routines:OPENSSLinternal:CERTIFICATEVERIFYFAILED at /usr/src/mono/external/boringssl/ssl/handshakeclient.c:1132
  • [Error] at Framework.Btls.FrameworkBtlsContext.ProcessHandshake () at Framework.Net.Security.MobileAuthenticatedStream.ProcessHandshake (Framework.Net.Security.AsyncOperationStatus status, Boolean renegotiate) at (wrapper remoting-invoke-with-check) Framework.Net.Security.MobileAuthenticatedStream.ProcessHandshake(Framework.Net.Security. AsyncOperationStatus,bool) at Framework.Net.Security.AsyncHandshakeRequest.Run (Framework.Net.Security.AsyncOperationStatus status)
  • [Info] Instance creation failed. The core archive failed to download or unpack

My operating system is opensuse tumbleweed

NAME="openSUSE Tumbleweed" VERSION="20190829" ID="opensuse-tumbleweed" IDLIKE="opensuse suse" VERSIONID="20190829" PRETTYNAME="openSUSE Tumbleweed" ANSICOLOR="0;32" CPE_NAME="cpe:/o:opensuse:tumbleweed:20190829"

I am new to Linux, so any help would be very welcomed.

Regards and thanks in advance, Mark

Order By: Standard | Newest | Votes
Mike posted this 3 weeks ago

Make sure you have the ca-certificates package installed, then run sudo update-ca-certificates and then try running the AMP install script again.

I'm guessing a little though because I've never tested AMP on OpenSUSE.

Edit: You may also need the ca-certificates-cacert and ca-certificates-mozilla packages.

  • Liked by
  • marksmithb
marksmithb posted this 3 weeks ago

Hi Mike,
Many thanks for the information. I checked the ca-cetificates in my package manager and had 2 which were already installed: -

  1. Utilities for system wide CA certificate installation
  2. CA certificates for OpenSSL (ca-certificates-mozilla-2.34-1.1)

and 2 which were not installed: -

  1. CAcert root certificates (ca-certificates-cacert-1-20.7)
  2. Provides /ect/ssl/certs/ca-certificates/cert (ca-certificates-streamtricks-1-1.6)

I have installed the remaing two ca-certificates and all seems to be working, (waiting for first time setup to complete...)

Many thanks for you help.
Regards, Mark.

Close